Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 25 May 2019, 03:54
All times are UTC - 4
 Forum index » House Training » Beginners Help ( Start Here)
Need OpenGL for Stellarium on LucidPup5 28
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [4 Posts]  
Author Message
Stevie Eye

Joined: 07 May 2013
Posts: 1

PostPosted: Wed 08 May 2013, 00:11    Post subject:  Need OpenGL for Stellarium on LucidPup5 28
Subject description: Can I install OpenGL on Lucid Puppy 528?
 

Hi!
I was an Ubuntu user since 2008 until recently (when the support ended) and I ditched 10.04 LTS for Mint 13 (LTS)/Mate, and couldn't be happier.
(For my relatively new hardware though)
I have a LOT of older/low-spec hardware (though I recently tossed my last 486 box, *sigh*), ranging from Pentium/133MHz and P2/450MHz through "modern" Atom processor machines (e.g. Asus Aspire One netbooks).
Obviously, Puppy is just the thing to make old/minimal hardware rock, (though Ubuntu 8.04 ran fine on a Celeron/650 MHz, but newer versions are slugs on that machine) so I'm getting ready to "Puppify" all of my old hardware. Many of the boxes go to friends & acquaintances who cannot afford computers.
I recently installed Precise Puppy(528) on a USB stick for the Aspire One and installation was as easy as it gets *smile*.

OK, now that you've sat through my introductory diatribe (thanks for being patient), I'll get to my question:
I've installed Stellarium (the fantastic astronomy program), but Puppy informed me it requires OpenGL to work, and that Puppy does not have OpenGL.
I Gluegled (sic) Puppy and OpenGL and have not been able to find anything concrete.
Is it possible to install OpenGL on Lucid Puppy 528, and if so, how do I go about it?
--Thanks
-Steve
--PS- In case it helps, I'm not afraid of the command line. I've been using computers on & off since DOS 2.0 (though I'm certainly no guru).
Back to top
View user's profile Send private message 
muggins

Joined: 20 Jan 2006
Posts: 6754
Location: hobart

PostPosted: Wed 08 May 2013, 04:47    Post subject:  

Try installing Xorg_High-1.1-Lucid.pet, then running glxgears in a console.
Back to top
View user's profile Send private message 
aen

Joined: 15 Apr 2010
Posts: 34

PostPosted: Wed 08 May 2013, 08:54    Post subject: Open GL & Stellarium  

Also, Stellarium SFS can be downloaded from the Quickpet PM get SFS tab. It works great and I do not recall having to install anything else.
Back to top
View user's profile Send private message 
bill

Joined: 28 May 2008
Posts: 492

PostPosted: Wed 08 May 2013, 10:35    Post subject: Need OpenGL for Stellarium on LucidPup5 28  

Just tinkering
AboutXorgHigh1.jpg
 Description   
 Filesize   95.56 KB
 Viewed   1078 Time(s)

AboutXorgHigh1.jpg

Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [4 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Beginners Help ( Start Here)
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0361s ][ Queries: 12 (0.0149s) ][ GZIP on ]